package basenet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Исходник предоставляет тип для хождения по базе.
*/

// BaseNet -- обзор базы
type BaseNet struct {
	*sectionnet.SectionNet
	strUrl string
}

// NewBaseNet -- возвращает новый *BaseNet
func NewBaseNet(base types.ИБаза) (*BaseNet, error) {
	strUrl := "https://wartank.ru/buildings"
	sectionNet, err := sectionnet.NewSectionNet(base, strUrl)
	if err != nil {
		return nil, fmt.Errorf("NewBaseNet(): in create SectionNet, err=\n\t%w", err)
	}

	sf := &BaseNet{
		SectionNet: sectionNet,
		strUrl:     strUrl,
	}
	return sf, nil
}
